Index: /branches/version-2_12-multilang/html/install/sql/create_table_pgsql.sql
===================================================================
--- /branches/version-2_12-multilang/html/install/sql/create_table_pgsql.sql	(revision 21942)
+++ /branches/version-2_12-multilang/html/install/sql/create_table_pgsql.sql	(revision 22177)
@@ -481,6 +481,6 @@
     name01 text NOT NULL,
     name02 text NOT NULL,
-    kana01 text NOT NULL,
-    kana02 text NOT NULL,
+    kana01 text,
+    kana02 text,
     zip01 text,
     zip02 text,
Index: /branches/version-2_12-multilang/html/install/sql/create_table_mysql.sql
===================================================================
--- /branches/version-2_12-multilang/html/install/sql/create_table_mysql.sql	(revision 21942)
+++ /branches/version-2_12-multilang/html/install/sql/create_table_mysql.sql	(revision 22177)
@@ -481,6 +481,6 @@
     name01 text NOT NULL,
     name02 text NOT NULL,
-    kana01 text NOT NULL,
-    kana02 text NOT NULL,
+    kana01 text,
+    kana02 text,
     zip01 text,
     zip02 text,
Index: /branches/version-2_12-multilang/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php
===================================================================
--- /branches/version-2_12-multilang/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php	(revision 22100)
+++ /branches/version-2_12-multilang/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php	(revision 22177)
@@ -289,6 +289,6 @@
         $objFormParam->addParam(t('PARAM_LABEL_ORDER_LASTNAME'), 'order_name01', STEXT_LEN, 'KVa', array('EXIST_CHECK', 'SPTAB_CHECK', 'MAX_LENGTH_CHECK'));
         $objFormParam->addParam(t('PARAM_LABEL_ORDER_FIRSTNAME'), 'order_name02', STEXT_LEN, 'KVa', array('EXIST_CHECK', 'SPTAB_CHECK', 'MAX_LENGTH_CHECK'));
-        $objFormParam->addParam(t('PARAM_LABEL_ORDER_LASTKANA'), 'order_kana01', STEXT_LEN, 'KVCa', array('EXIST_CHECK', 'SPTAB_CHECK', 'MAX_LENGTH_CHECK'));
-        $objFormParam->addParam(t('PARAM_LABEL_ORDER_FIRSTKANA'), 'order_kana02', STEXT_LEN, 'KVCa', array('EXIST_CHECK', 'SPTAB_CHECK', 'MAX_LENGTH_CHECK'));
+        $objFormParam->addParam(t('PARAM_LABEL_ORDER_LASTKANA'), 'order_kana01', STEXT_LEN, 'KVCa', array('SPTAB_CHECK', 'MAX_LENGTH_CHECK'));
+        $objFormParam->addParam(t('PARAM_LABEL_ORDER_FIRSTKANA'), 'order_kana02', STEXT_LEN, 'KVCa', array('SPTAB_CHECK', 'MAX_LENGTH_CHECK'));
         $objFormParam->addParam(t('PARAM_LABEL_EMAIL'), 'order_email', null, 'KVCa', array('NO_SPTAB', 'EMAIL_CHECK', 'EMAIL_CHAR_CHECK'));
         $objFormParam->addParam(t('PARAM_LABEL_ZIP01'), 'order_zip01', ZIP01_LEN, 'n', array('NUM_CHECK', 'NUM_COUNT_CHECK'));
Index: /branches/version-2_12-multilang/data/class/SC_CartSession.php
===================================================================
--- /branches/version-2_12-multilang/data/class/SC_CartSession.php	(revision 22100)
+++ /branches/version-2_12-multilang/data/class/SC_CartSession.php	(revision 22177)
@@ -633,9 +633,9 @@
 
         // 配送業者の送料を加算
-        if (OPTION_DELIV_FEE == 1
-            && !SC_Utils_Ex::isBlank($deliv_pref)
-            && !SC_Utils_Ex::isBlank($deliv_id)) {
-            $results['deliv_fee'] += $this->sfGetDelivFee($deliv_pref, $deliv_id);
-        }
+//        if (OPTION_DELIV_FEE == 1
+//            && !SC_Utils_Ex::isBlank($deliv_pref)
+//            && !SC_Utils_Ex::isBlank($deliv_id)) {
+//            $results['deliv_fee'] += $this->sfGetDelivFee($deliv_pref, $deliv_id);
+//        }
 
         // 送料無料チェック
Index: /branches/version-2_12-multilang/data/class/helper/SC_Helper_Customer.php
===================================================================
--- /branches/version-2_12-multilang/data/class/helper/SC_Helper_Customer.php	(revision 22100)
+++ /branches/version-2_12-multilang/data/class/helper/SC_Helper_Customer.php	(revision 22177)
@@ -358,6 +358,6 @@
         $objFormParam->addParam(t('PARAM_LABEL_CUSTOMER_LASTNAME'), 'name01', STEXT_LEN, 'aKV', array('EXIST_CHECK', 'NO_SPTAB', 'SPTAB_CHECK' ,'MAX_LENGTH_CHECK'));
         $objFormParam->addParam(t('PARAM_LABEL_CUSTOMER_FIRSTNAME'), 'name02', STEXT_LEN, 'aKV', array('EXIST_CHECK', 'NO_SPTAB', 'SPTAB_CHECK' , 'MAX_LENGTH_CHECK'));
-        $objFormParam->addParam(t('PARAM_LABEL_CUSTOMER_LASTKANA'), 'kana01', STEXT_LEN, 'CKV', array('EXIST_CHECK', 'NO_SPTAB', 'SPTAB_CHECK' ,'MAX_LENGTH_CHECK', 'KANA_CHECK'));
-        $objFormParam->addParam(t('PARAM_LABEL_CUSTOMER_FIRSTKANA'), 'kana02', STEXT_LEN, 'CKV', array('EXIST_CHECK', 'NO_SPTAB', 'SPTAB_CHECK' ,'MAX_LENGTH_CHECK', 'KANA_CHECK'));
+        $objFormParam->addParam(t('PARAM_LABEL_CUSTOMER_LASTKANA'), 'kana01', STEXT_LEN, 'CKV', array('NO_SPTAB', 'SPTAB_CHECK' ,'MAX_LENGTH_CHECK', 'KANA_CHECK'));
+        $objFormParam->addParam(t('PARAM_LABEL_CUSTOMER_FIRSTKANA'), 'kana02', STEXT_LEN, 'CKV', array('NO_SPTAB', 'SPTAB_CHECK' ,'MAX_LENGTH_CHECK', 'KANA_CHECK'));
         $objFormParam->addParam(t('PARAM_LABEL_ZIP1'), 'zip01', ZIP01_LEN, 'n', array('EXIST_CHECK', 'SPTAB_CHECK' ,'NUM_CHECK', 'NUM_COUNT_CHECK'));
         $objFormParam->addParam(t('PARAM_LABEL_ZIP2'), 'zip02', ZIP02_LEN, 'n', array('EXIST_CHECK', 'SPTAB_CHECK' ,'NUM_CHECK', 'NUM_COUNT_CHECK'));
Index: /branches/version-2_12-multilang/data/Smarty/templates/admin/order/edit.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/admin/order/edit.tpl	(revision 22173)
+++ /branches/version-2_12-multilang/data/Smarty/templates/admin/order/edit.tpl	(revision 22177)
@@ -37,6 +37,4 @@
         df['shipping_name01[0]'].value = df.order_name01.value;
         df['shipping_name02[0]'].value = df.order_name02.value;
-        df['shipping_kana01[0]'].value = df.order_kana01.value;
-        df['shipping_kana02[0]'].value = df.order_kana02.value;
         df['shipping_zip01[0]'].value = df.order_zip01.value;
         df['shipping_zip02[0]'].value = df.order_zip02.value;
@@ -161,14 +159,4 @@
                 <!--{assign var=key1 value="order_name01"}-->
                 <!--{assign var=key2 value="order_name02"}-->
-                <span class="attention"><!--{$arrErr[$key1]}--><!--{$arrErr[$key2]}--></span>
-                <input type="text" name="<!--{$key1}-->" value="<!--{$arrForm[$key1].value|h}-->" maxlength="<!--{$arrForm[$key1].length}-->" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->" size="15" class="box15" />
-                <input type="text" name="<!--{$key2}-->" value="<!--{$arrForm[$key2].value|h}-->" maxlength="<!--{$arrForm[$key2].length}-->" style="<!--{$arrErr[$key2]|sfGetErrorColor}-->" size="15" class="box15" />
-            </td>
-        </tr>
-        <tr>
-            <th><!--{t string="tpl_210"}--></th>
-            <td>
-                <!--{assign var=key1 value="order_kana01"}-->
-                <!--{assign var=key2 value="order_kana02"}-->
                 <span class="attention"><!--{$arrErr[$key1]}--><!--{$arrErr[$key2]}--></span>
                 <input type="text" name="<!--{$key1}-->" value="<!--{$arrForm[$key1].value|h}-->" maxlength="<!--{$arrForm[$key1].length}-->" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->" size="15" class="box15" />
@@ -479,14 +467,4 @@
             </tr>
             <tr>
-                <th><!--{t string="tpl_210"}--></th>
-                <td>
-                    <!--{assign var=key1 value="shipping_kana01"}-->
-                    <!--{assign var=key2 value="shipping_kana02"}-->
-                    <span class="attention"><!--{$arrErr[$key1][$shipping_index]}--><!--{$arrErr[$key2][$shipping_index]}--></span>
-                    <input type="text" name="<!--{$key1}-->[<!--{$shipping_index}-->]" value="<!--{$arrShipping[$key1]|h}-->" maxlength="<!--{$arrForm[$key1].length}-->" style="<!--{$arrErr[$key1][$shipping_index]|sfGetErrorColor}-->" size="15" class="box15" />
-                    <input type="text" name="<!--{$key2}-->[<!--{$shipping_index}-->]" value="<!--{$arrShipping[$key2]|h}-->" maxlength="<!--{$arrForm[$key2].length}-->" style="<!--{$arrErr[$key2][$shipping_index]|sfGetErrorColor}-->" size="15" class="box15" />
-                </td>
-            </tr>
-            <tr>
                 <th><!--{t string="tpl_037"}--></th>
                 <td>
Index: /branches/version-2_12-multilang/data/Smarty/templates/admin/order/index.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/admin/order/index.tpl	(revision 22173)
+++ /branches/version-2_12-multilang/data/Smarty/templates/admin/order/index.tpl	(revision 22177)
@@ -143,14 +143,8 @@
         <tr>
             <th><!--{t string="tpl_208"}--></th>
-            <td>
+            <td colspan="3">
             <!--{assign var=key value="search_order_name"}-->
             <span class="attention"><!--{$arrErr[$key]}--></span>
-            <input type="text" name="<!--{$key}-->" value="<!--{$arrForm[$key].value|h}-->" maxlength="<!--{$arrForm[$key].length}-->" style="<!--{$arrErr[$key]|sfGetErrorColor}-->" size="30" class="box30" />
-            </td>
-            <th><!--{t string="tpl_210"}--></th>
-            <td>
-            <!--{assign var=key value="search_order_kana"}-->
-            <span class="attention"><!--{$arrErr[$key]}--></span>
-            <input type="text" name="<!--{$key}-->" value="<!--{$arrForm[$key].value|h}-->" maxlength="<!--{$arrForm[$key].length}-->" style="<!--{$arrErr[$key]|sfGetErrorColor}-->" size="30" class="box30" />
+            <input type="text" name="<!--{$key}-->" value="<!--{$arrForm[$key].value|h}-->" maxlength="<!--{$arrForm[$key].length}-->" style="<!--{$arrErr[$key]|sfGetErrorColor}-->" size="60" class="box60" />
             </td>
         </tr>
Index: /branches/version-2_12-multilang/data/Smarty/templates/admin/order/disp.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/admin/order/disp.tpl	(revision 22173)
+++ /branches/version-2_12-multilang/data/Smarty/templates/admin/order/disp.tpl	(revision 22177)
@@ -71,8 +71,4 @@
             <th><!--{t string="tpl_208"}--></th>
             <td><!--{$arrForm.order_name01.value|h}-->　<!--{$arrForm.order_name02.value|h}--></td>
-        </tr>
-        <tr>
-            <th><!--{t string="tpl_364"}--></th>
-            <td><!--{$arrForm.order_kana01.value|h}-->　<!--{$arrForm.order_kana02.value|h}--></td>
         </tr>
         <tr>
@@ -242,12 +238,4 @@
             </tr>
             <tr>
-                <th><!--{t string="tpl_364"}--></th>
-                <td>
-                    <!--{assign var=key1 value="shipping_kana01"}-->
-                    <!--{assign var=key2 value="shipping_kana02"}-->
-                    <!--{$arrShipping[$key1]|h}-->　<!--{$arrShipping[$key2]|h}-->
-                </td>
-            </tr>
-            <tr>
                 <th><!--{t string="tpl_037"}--></th>
                 <td>
Index: /branches/version-2_12-multilang/data/Smarty/templates/admin/basis/index.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/admin/basis/index.tpl	(revision 22134)
+++ /branches/version-2_12-multilang/data/Smarty/templates/admin/basis/index.tpl	(revision 22177)
@@ -126,24 +126,8 @@
         </tr>
         <tr>
-            <th><!--{t string="tpl_029"}--></th>
-            <td>
-                <span class="attention"><!--{$arrErr.company_kana}--></span>
-                <input type="text" name="company_kana" value="<!--{$arrForm.company_kana|h}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" size="60" class="box60" style="<!--{if $arrErr.company_kana != ""}-->background-color: <!--{$smarty.const.ERR_COLOR}-->;<!--{/if}-->" />
-                <span class="attention"> <!--{t string="tpl_023" T_FIELD=$smarty.const.STEXT_LEN}--></span>
-            </td>
-        </tr>
-        <tr>
             <th><!--{t string="tpl_030_1"}--></th>
             <td>
                 <span class="attention"><!--{$arrErr.shop_name}--></span>
                 <input type="text" name="shop_name" value="<!--{$arrForm.shop_name|h}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" size="60" class="box60" style="<!--{if $arrErr.shop_name != ""}-->background-color: <!--{$smarty.const.ERR_COLOR}-->;<!--{/if}-->" />
-                <span class="attention"> <!--{t string="tpl_023" T_FIELD=$smarty.const.STEXT_LEN}--></span>
-            </td>
-        </tr>
-        <tr>
-            <th><!--{t string="tpl_031"}--></th>
-            <td>
-                <span class="attention"><!--{$arrErr.shop_kana}--></span>
-                <input type="text" name="shop_kana" value="<!--{$arrForm.shop_kana|h}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" size="60" class="box60" style="<!--{if $arrErr.shop_kana != ""}-->background-color: <!--{$smarty.const.ERR_COLOR}-->;<!--{/if}-->" />
                 <span class="attention"> <!--{t string="tpl_023" T_FIELD=$smarty.const.STEXT_LEN}--></span>
             </td>
Index: /branches/version-2_12-multilang/data/Smarty/templates/admin/customer/edit_confirm.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/admin/customer/edit_confirm.tpl	(revision 22173)
+++ /branches/version-2_12-multilang/data/Smarty/templates/admin/customer/edit_confirm.tpl	(revision 22177)
@@ -71,8 +71,4 @@
                 <th><!--{t string="tpl_208"}--></th>
                 <td><!--{t string="tpl_240" T_FIELD1=$arrForm.name01|h T_FIELD2=$arrForm.name02|h}--></td>
-            </tr>
-            <tr>
-                <th><!--{t string="tpl_210"}--></th>
-                <td><!--{t string="tpl_240" T_FIELD1=$arrForm.kana01|h T_FIELD2=$arrForm.kana02|h}--></td>
             </tr>
             <tr>
Index: /branches/version-2_12-multilang/data/Smarty/templates/admin/customer/edit.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/admin/customer/edit.tpl	(revision 22174)
+++ /branches/version-2_12-multilang/data/Smarty/templates/admin/customer/edit.tpl	(revision 22177)
@@ -90,11 +90,4 @@
                     <span class="attention"><!--{$arrErr.name01}--><!--{$arrErr.name02}--></span>
                     <input type="text" name="name01" value="<!--{$arrForm.name01|h}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" size="30" class="box30" <!--{if $arrErr.name01 != ""}--><!--{sfSetErrorStyle}--><!--{/if}--> />&nbsp;&nbsp;<input type="text" name="name02" value="<!--{$arrForm.name02|h}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" size="30" class="box30" <!--{if $arrErr.name02 != ""}--><!--{sfSetErrorStyle}--><!--{/if}--> />
-                </td>
-            </tr>
-            <tr>
-                <th><!--{t string="tpl_210_1"}--></th>
-                <td>
-                    <span class="attention"><!--{$arrErr.kana01}--><!--{$arrErr.kana02}--></span>
-                    <input type="text" name="kana01" value="<!--{$arrForm.kana01|h}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" size="30" class="box30" <!--{if $arrErr.kana01 != ""}--><!--{sfSetErrorStyle}--><!--{/if}--> />&nbsp;&nbsp;<input type="text" name="kana02" value="<!--{$arrForm.kana02|h}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" size="30" class="box30" <!--{if $arrErr.kana02 != ""}--><!--{sfSetErrorStyle}--><!--{/if}--> />
                 </td>
             </tr>
Index: /branches/version-2_12-multilang/data/Smarty/templates/admin/customer/search_customer.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/admin/customer/search_customer.tpl	(revision 22171)
+++ /branches/version-2_12-multilang/data/Smarty/templates/admin/customer/search_customer.tpl	(revision 22177)
@@ -57,5 +57,5 @@
         </td>
     </tr>
-    <tr>
+    <tr class="n">
         <th class="colmun"><!--{t string="tpl_208"}--></th>
         <td>
@@ -63,12 +63,4 @@
             <!--{if $arrErr[$key]}--><span class="attention"><!--{$arrErr[$key]}--></span><br /><!--{/if}-->
             <input type="text" name="<!--{$key}-->" maxlength="<!--{$arrForm[$key].length}-->" value="<!--{$arrForm[$key].value|h}-->" size="30" class="box30" <!--{if $arrErr[$key]}--><!--{sfSetErrorStyle}--><!--{/if}--> />
-        </td>
-    </tr>
-    <tr class="n">
-        <th class="colmun"><!--{t string="tpl_210"}--></th>
-        <td>
-        <!--{assign var=key value="search_kana"}-->
-        <!--{if $arrErr[$key]}--><span class="attention"><!--{$arrErr[$key]}--></span><br /><!--{/if}-->
-        <input type="text" name="<!--{$key}-->" maxlength="<!--{$arrForm[$key].length}-->" value="<!--{$arrForm[$key].value|h}-->" size="30" class="box30" <!--{if $arrErr[$key]}--><!--{sfSetErrorStyle}--><!--{/if}--> />
         </td>
     </tr>
@@ -92,5 +84,5 @@
         <tr>
             <th><!--{t string="tpl_207"}--></th>
-            <th><!--{t string="tpl_210"}--></th>
+            <th><!--{t string="tpl_208"}--></th>
             <th><!--{t string="tpl_037"}--></th>
             <th><!--{t string="tpl_196"}--></th>
@@ -102,5 +94,5 @@
             <!--{$arrCustomer[cnt].customer_id|h}-->
             </td>
-            <td><!--{$arrCustomer[cnt].name01|h}--><!--{$arrCustomer[cnt].name02|h}-->(<!--{$arrCustomer[cnt].kana01|h}--><!--{$arrCustomer[cnt].kana02|h}-->)</td>
+            <td><!--{$arrCustomer[cnt].name01|h}--><!--{$arrCustomer[cnt].name02|h}--></td>
             <td><!--{$arrCustomer[cnt].tel01|h}-->-<!--{$arrCustomer[cnt].tel02|h}-->-<!--{$arrCustomer[cnt].tel03|h}--></td>
             <td align="center"><a href="" onClick="return func_submit(<!--{$arrCustomer[cnt].customer_id|h}-->)"><!--{t string="tpl_196"}--></a></td>
Index: /branches/version-2_12-multilang/data/Smarty/templates/admin/customer/index.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/admin/customer/index.tpl	(revision 22134)
+++ /branches/version-2_12-multilang/data/Smarty/templates/admin/customer/index.tpl	(revision 22177)
@@ -126,5 +126,5 @@
             <th rowspan="2"><!--{t string="tpl_256"}--></th>
             <th><!--{t string="tpl_207"}--></th>
-            <th rowspan="2"><!--{t string="tpl_257"}--></th>
+            <th rowspan="2"><!--{t string="tpl_208"}--></th>
             <th rowspan="2"><!--{t string="tpl_215"}--></th>
             <th><!--{t string="tpl_037"}--></th>
@@ -140,5 +140,5 @@
                 <td class="center" rowspan="2"><!--{if $row.status eq 1}--><!--{t string="tpl_260"}--><!--{else}--><!--{t string="tpl_261"}--><!--{/if}--></td>
                 <td><!--{$row.customer_id|h}--></td>
-                <td rowspan="2"><!--{$row.name01|h}--> <!--{$row.name02|h}--><br>(<!--{$row.kana01|h}--> <!--{$row.kana02|h}-->)</td>
+                <td rowspan="2"><!--{$row.name01|h}--> <!--{$row.name02|h}--></td>
                 <td class="center" rowspan="2"><!--{$arrSex[$row.sex]|h}--></td>
                 <td><!--{$row.tel01|h}-->-<!--{$row.tel02|h}-->-<!--{$row.tel03|h}--></td>
Index: /branches/version-2_12-multilang/data/Smarty/templates/admin/adminparts/form_customer_search.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/admin/adminparts/form_customer_search.tpl	(revision 22162)
+++ /branches/version-2_12-multilang/data/Smarty/templates/admin/adminparts/form_customer_search.tpl	(revision 22177)
@@ -17,14 +17,8 @@
 <tr>
     <th><!--{t string="tpl_208"}--></th>
-    <td>
+    <td colspan="3">
             <!--{assign var=key value="search_name"}-->
             <!--{if $arrErr[$key]}--><span class="attention"><!--{$arrErr[$key]}--></span><br /><!--{/if}-->
-            <input type="text" name="<!--{$key}-->" maxlength="<!--{$arrForm[$key].length}-->" value="<!--{$arrForm[$key].value|h}-->" size="30" class="box30" <!--{if $arrErr[$key]}--><!--{sfSetErrorStyle}--><!--{/if}--> />
-    </td>
-    <th><!--{t string="tpl_210"}--></th>
-    <td>
-        <!--{assign var=key value="search_kana"}-->
-        <!--{if $arrErr[$key]}--><span class="attention"><!--{$arrErr[$key]}--></span><br /><!--{/if}-->
-        <input type="text" name="<!--{$key}-->" maxlength="<!--{$arrForm[$key].length}-->" value="<!--{$arrForm[$key].value|h}-->" size="30" class="box30" <!--{if $arrErr[$key]}--><!--{sfSetErrorStyle}--><!--{/if}--> />
+            <input type="text" name="<!--{$key}-->" maxlength="<!--{$arrForm[$key].length}-->" value="<!--{$arrForm[$key].value|h}-->" size="60" class="box60" <!--{if $arrErr[$key]}--><!--{sfSetErrorStyle}--><!--{/if}--> />
     </td>
 </tr>
Index: /branches/version-2_12-multilang/data/Smarty/templates/default_en/mypage/history.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/default_en/mypage/history.tpl	(revision 22175)
+++ /branches/version-2_12-multilang/data/Smarty/templates/default_en/mypage/history.tpl	(revision 22177)
@@ -189,8 +189,4 @@
                     </tr>
                     <tr>
-                        <th class="alignL">お名前(フリガナ)</th>
-                        <td><!--{$shippingItem.shipping_kana01|h}-->&nbsp;<!--{$shippingItem.shipping_kana02|h}--></td>
-                    </tr>
-                    <tr>
                         <th class="alignL">Postal code</th>
                         <td><!--{$shippingItem.shipping_zip01}-->-<!--{$shippingItem.shipping_zip02}--></td>
Index: /branches/version-2_12-multilang/data/Smarty/templates/default_en/mypage/change_confirm.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/default_en/mypage/change_confirm.tpl	(revision 22175)
+++ /branches/version-2_12-multilang/data/Smarty/templates/default_en/mypage/change_confirm.tpl	(revision 22177)
@@ -46,8 +46,4 @@
                 <th>Name</th>
                 <td><!--{$arrForm.name01|h}--> <!--{$arrForm.name02|h}--></td>
-            </tr>
-            <tr>
-                <th>お名前(フリガナ)</th>
-                <td><!--{$arrForm.kana01|h}--> <!--{$arrForm.kana02|h}--></td>
             </tr>
             <tr>
Index: /branches/version-2_12-multilang/data/Smarty/templates/default_en/shopping/confirm.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/default_en/shopping/confirm.tpl	(revision 22175)
+++ /branches/version-2_12-multilang/data/Smarty/templates/default_en/shopping/confirm.tpl	(revision 22177)
@@ -229,8 +229,4 @@
                 </tr>
                 <tr>
-                    <th scope="row">お名前(フリガナ)</th>
-                    <td><!--{$shippingItem.shipping_kana01|h}--> <!--{$shippingItem.shipping_kana02|h}--></td>
-                </tr>
-                <tr>
                     <th scope="row">Postal code</th>
                     <td><!--{$shippingItem.shipping_zip01|h}-->-<!--{$shippingItem.shipping_zip02|h}--></td>
Index: /branches/version-2_12-multilang/data/Smarty/templates/default_en/shopping/nonmember_input.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/default_en/shopping/nonmember_input.tpl	(revision 22175)
+++ /branches/version-2_12-multilang/data/Smarty/templates/default_en/shopping/nonmember_input.tpl	(revision 22177)
@@ -50,14 +50,4 @@
                     Last name&nbsp;<input type="text" name="<!--{$key1}-->" value="<!--{$arrForm[$key1].value|h}-->" maxlength="<!--{$arrForm[$key1].length}-->" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->; ime-mode: active;" class="box120" />&nbsp;
                     Name&nbsp;<input type="text" name="<!--{$key2}-->" value="<!--{$arrForm[$key2].value|h}-->" maxlength="<!--{$arrForm[$key2].length}-->" style="<!--{$arrErr[$key2]|sfGetErrorColor}-->; ime-mode: active;" class="box120" />
-                </td>
-            </tr>
-            <tr>
-                <th>お名前(フリガナ)<span class="attention">*</span></th>
-                <td>
-                    <!--{assign var=key1 value="order_kana01"}-->
-                    <!--{assign var=key2 value="order_kana02"}-->
-                    <span class="attention"><!--{$arrErr[$key1]}--><!--{$arrErr[$key2]}--></span>
-                    セイ&nbsp;<input type="text" name="<!--{$key1}-->" value="<!--{$arrForm[$key1].value|h}-->" maxlength="<!--{$arrForm[$key1].length}-->" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->; ime-mode: active;" class="box120" />&nbsp;
-                    メイ&nbsp;<input type="text" name="<!--{$key2}-->" value="<!--{$arrForm[$key2].value|h}-->" maxlength="<!--{$arrForm[$key2].length}-->" style="<!--{$arrErr[$key2]|sfGetErrorColor}-->; ime-mode: active;" class="box120" />
                 </td>
             </tr>
@@ -190,14 +180,4 @@
                     Last name&nbsp;<input type="text" name="<!--{$key1}-->" value="<!--{$arrForm[$key1].value|h}-->" maxlength="<!--{$arrForm[$key1].length}-->" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->; ime-mode: active;" class="box120" />&nbsp;
                     Name&nbsp;<input type="text" name="<!--{$key2}-->" value="<!--{$arrForm[$key2].value|h}-->" maxlength="<!--{$arrForm[$key2].length}-->" style="<!--{$arrErr[$key2]|sfGetErrorColor}-->; ime-mode: active;" class="box120" />
-                </td>
-            </tr>
-            <tr>
-                <th>お名前(フリガナ)<span class="attention">*</span></th>
-                <td>
-                    <!--{assign var=key1 value="shipping_kana01"}-->
-                    <!--{assign var=key2 value="shipping_kana02"}-->
-                    <span class="attention"><!--{$arrErr[$key1]}--><!--{$arrErr[$key2]}--></span>
-                    セイ&nbsp;<input type="text" name="<!--{$key1}-->" value="<!--{$arrForm[$key1].value|h}-->" maxlength="<!--{$arrForm[$key1].length}-->" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->; ime-mode: active;" class="box120" />&nbsp;
-                    メイ&nbsp;<input type="text" name="<!--{$key2}-->" value="<!--{$arrForm[$key2].value|h}-->" maxlength="<!--{$arrForm[$key2].length}-->" style="<!--{$arrErr[$key2]|sfGetErrorColor}-->; ime-mode: active;" class="box120" />
                 </td>
             </tr>
Index: /branches/version-2_12-multilang/data/Smarty/templates/default_en/contact/index.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/default_en/contact/index.tpl	(revision 22175)
+++ /branches/version-2_12-multilang/data/Smarty/templates/default_en/contact/index.tpl	(revision 22177)
@@ -41,13 +41,5 @@
                     Name&nbsp;<input type="text" class="box120" name="name02" value="<!--{$arrForm.name02.value|default:$arrData.name02|h}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" style="<!--{$arrErr.name02|sfGetErrorColor}-->; ime-mode: active;" />
                 </td>
-            </tr>
-            <tr>
-                <th>お名前(フリガナ)<span class="attention">*</span></th>
-                <td>
-                    <span class="attention"><!--{$arrErr.kana01}--><!--{$arrErr.kana02}--></span>
-                    セイ&nbsp;<input type="text" class="box120" name="kana01" value="<!--{$arrForm.kana01.value|default:$arrData.kana01|h}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" style="<!--{$arrErr.kana01|sfGetErrorColor}-->; ime-mode: active;" /> 
-                    メイ&nbsp;<input type="text" class="box120" name="kana02" value="<!--{$arrForm.kana02.value|default:$arrData.kana02|h}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" style="<!--{$arrErr.kana02|sfGetErrorColor}-->; ime-mode: active;" />
-                </td>
-            </tr>
+            </tr
             <tr>
                 <th>Postal code</th>
Index: /branches/version-2_12-multilang/data/Smarty/templates/default_en/contact/confirm.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/default_en/contact/confirm.tpl	(revision 22175)
+++ /branches/version-2_12-multilang/data/Smarty/templates/default_en/contact/confirm.tpl	(revision 22177)
@@ -42,8 +42,4 @@
             </tr>
             <tr>
-                <th>お名前(フリガナ)<span class="attention">*</span></th>
-                <td><!--{$arrForm.kana01.value|h}--> <!--{$arrForm.kana02.value|h}--></td>
-            </tr>
-            <tr>
                 <th>Postal code</th>
                 <td>
Index: /branches/version-2_12-multilang/data/Smarty/templates/default_en/entry/confirm.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/default_en/entry/confirm.tpl	(revision 22175)
+++ /branches/version-2_12-multilang/data/Smarty/templates/default_en/entry/confirm.tpl	(revision 22177)
@@ -41,11 +41,4 @@
                     <!--{$arrForm.name01|h}-->&nbsp;
                     <!--{$arrForm.name02|h}-->
-                </td>
-            </tr>
-            <tr>
-                <th>お名前(フリガナ)</th>
-                <td>
-                    <!--{$arrForm.kana01|h}-->&nbsp;
-                    <!--{$arrForm.kana02|h}-->
                 </td>
             </tr>
Index: /branches/version-2_12-multilang/data/Smarty/templates/default_en/frontparts/form_personal_input.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/default_en/frontparts/form_personal_input.tpl	(revision 22175)
+++ /branches/version-2_12-multilang/data/Smarty/templates/default_en/frontparts/form_personal_input.tpl	(revision 22177)
@@ -35,16 +35,4 @@
         Last name&nbsp;<input type="text" name="<!--{$key1}-->" value="<!--{$arrForm[$key1]|h}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->; ime-mode: active;" class="box120" />&nbsp;
         Name&nbsp;<input type="text" name="<!--{$key2}-->" value="<!--{$arrForm[$key2]|h}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" style="<!--{$arrErr[$key2]|sfGetErrorColor}-->; ime-mode: active;" class="box120" />
-    </td>
-</tr>
-<tr>
-    <th>お名前(フリガナ)<span class="attention">*</span></th>
-    <td>
-        <!--{assign var=key1 value="`$prefix`kana01"}-->
-        <!--{assign var=key2 value="`$prefix`kana02"}-->
-        <!--{if $arrErr[$key1] || $arrErr[$key2]}-->
-            <div class="attention"><!--{$arrErr[$key1]}--><!--{$arrErr[$key2]}--></div>
-        <!--{/if}-->
-        セイ&nbsp;<input type="text" name="<!--{$key1}-->" value="<!--{$arrForm[$key1]|h}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" style="<!--{$arrErr[$key1]|sfGetErrorColor}-->; ime-mode: active;" class="box120" />&nbsp;
-        メイ&nbsp;<input type="text" name="<!--{$key2}-->" value="<!--{$arrForm[$key2]|h}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" style="<!--{$arrErr[$key2]|sfGetErrorColor}-->; ime-mode: active;" class="box120" />
     </td>
 </tr>