Index: /branches/version-2_12-multilang/html/install/sql/insert_data.sql
===================================================================
--- /branches/version-2_12-multilang/html/install/sql/insert_data.sql	(revision 22058)
+++ /branches/version-2_12-multilang/html/install/sql/insert_data.sql	(revision 22179)
@@ -313,5 +313,4 @@
 INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, status, create_date, update_date) VALUES (77, 2, 'zip01', '郵便番号1', 6, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
 INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, status, create_date, update_date) VALUES (78, 2, 'zip02', '郵便番号2', 7, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
-INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, status, create_date, update_date) VALUES (79, 2, '(SELECT name FROM mtb_pref WHERE mtb_pref.id = dtb_customer.pref) as pref', '都道府県', 8, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
 INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, status, create_date, update_date) VALUES (80, 2, 'addr01', '住所1', 9, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
 INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, status, create_date, update_date) VALUES (81, 2, 'addr02', '住所2', 10, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
@@ -349,5 +348,4 @@
 INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, rw_flg, status, create_date, update_date, mb_convert_kana_option, size_const_type, error_check_types) VALUES (113, 3, 'order_zip01', '郵便番号1', 15, 1, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'n', 'ZIP01_LEN', 'MAX_LENGTH_CHECK,NUM_CHECK,NUM_COUNT_CHECK');
 INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, rw_flg, status, create_date, update_date, mb_convert_kana_option, size_const_type, error_check_types) VALUES (114, 3, 'order_zip02', '郵便番号2', 16, 1, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'n', 'ZIP02_LEN', 'MAX_LENGTH_CHECK,NUM_CHECK,NUM_COUNT_CHECK');
-INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, rw_flg, status, create_date, update_date, mb_convert_kana_option, size_const_type, error_check_types) VALUES (115, 3, '(SELECT name FROM mtb_pref WHERE mtb_pref.id = dtb_order.order_pref) as pref', '都道府県', 17, 2, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'n', 'INT_LEN', 'MAX_LENGTH_CHECK,NUM_CHECK');
 INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, rw_flg, status, create_date, update_date, mb_convert_kana_option, size_const_type, error_check_types) VALUES (116, 3, 'order_addr01', '住所1', 18, 1, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'KVa', 'MTEXT_LEN', 'SPTAB_CHECK,MAX_LENGTH_CHECK,NUM_CHECK');
 INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, rw_flg, status, create_date, update_date, mb_convert_kana_option, size_const_type, error_check_types) VALUES (117, 3, 'order_addr02', '住所2', 19, 1, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'KVa', 'MTEXT_LEN', 'SPTAB_CHECK,MAX_LENGTH_CHECK,NUM_CHECK');
Index: /branches/version-2_12-multilang/data/class/helper/SC_Helper_Customer.php
===================================================================
--- /branches/version-2_12-multilang/data/class/helper/SC_Helper_Customer.php	(revision 22177)
+++ /branches/version-2_12-multilang/data/class/helper/SC_Helper_Customer.php	(revision 22179)
@@ -362,5 +362,5 @@
         $objFormParam->addParam(t('PARAM_LABEL_ZIP1'), 'zip01', ZIP01_LEN, 'n', array('EXIST_CHECK', 'SPTAB_CHECK' ,'NUM_CHECK', 'NUM_COUNT_CHECK'));
         $objFormParam->addParam(t('PARAM_LABEL_ZIP2'), 'zip02', ZIP02_LEN, 'n', array('EXIST_CHECK', 'SPTAB_CHECK' ,'NUM_CHECK', 'NUM_COUNT_CHECK'));
-        $objFormParam->addParam(t('PARAM_LABEL_PREF'), 'pref', INT_LEN, 'n', array('EXIST_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam(t('PARAM_LABEL_PREF'), 'pref', INT_LEN, 'n', array('NUM_CHECK'));
         $objFormParam->addParam(t('PARAM_LABEL_ADDR1'), 'addr01', MTEXT_LEN, 'aKV', array('EXIST_CHECK', 'SPTAB_CHECK', 'MAX_LENGTH_CHECK'));
         $objFormParam->addParam(t('PARAM_LABEL_ADDR2'), 'addr02', MTEXT_LEN, 'aKV', array('EXIST_CHECK', 'SPTAB_CHECK', 'MAX_LENGTH_CHECK'));
Index: /branches/version-2_12-multilang/data/class/pages/admin/basis/LC_Page_Admin_Basis.php
===================================================================
--- /branches/version-2_12-multilang/data/class/pages/admin/basis/LC_Page_Admin_Basis.php	(revision 22100)
+++ /branches/version-2_12-multilang/data/class/pages/admin/basis/LC_Page_Admin_Basis.php	(revision 22179)
@@ -223,5 +223,5 @@
         $objFormParam->addParam(t('PARAM_LABEL_ZIP02'), 'zip02', ZIP02_LEN, 'n', array('EXIST_CHECK', 'NUM_CHECK','NUM_COUNT_CHECK'));
         // 所在地チェック
-        $objFormParam->addParam(t('PARAM_LABEL_PREF'), 'pref', '', 'n', array('EXIST_CHECK'));
+        $objFormParam->addParam(t('PARAM_LABEL_PREF'), 'pref', '', 'n');
         $objFormParam->addParam(t('PARAM_LABEL_ADDR01'), 'addr01', MTEXT_LEN, 'KVa', array('EXIST_CHECK', 'MAX_LENGTH_CHECK'));
         $objFormParam->addParam(t('PARAM_LABEL_ADDR02'), 'addr02', MTEXT_LEN, 'KVa', array('EXIST_CHECK', 'MAX_LENGTH_CHECK'));
Index: /branches/version-2_12-multilang/data/class/pages/admin/basis/LC_Page_Admin_Basis_DeliveryInput.php
===================================================================
--- /branches/version-2_12-multilang/data/class/pages/admin/basis/LC_Page_Admin_Basis_DeliveryInput.php	(revision 22100)
+++ /branches/version-2_12-multilang/data/class/pages/admin/basis/LC_Page_Admin_Basis_DeliveryInput.php	(revision 22179)
@@ -129,5 +129,5 @@
                 if (INPUT_DELIV_FEE) {
                     for ($cnt = 1; $cnt <= DELIVFEE_MAX; $cnt++) {
-                        $objFormParam->addParam(t('LC_Page_Admin_Basis_DeliveryInput_005', array('T_FIELD' => $cnt)), "fee$cnt", PRICE_LEN, 'n', array('EXIST_CHECK', 'MAX_LENGTH_CHECK', 'NUM_CHECK'));
+                        $objFormParam->addParam(t('LC_Page_Admin_Basis_DeliveryInput_005', array('T_FIELD' => $cnt)), "fee$cnt", PRICE_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
                     }
                 }
@@ -232,15 +232,15 @@
                 $sqlval = array();
                 // 配送料金の設定
-                for ($cnt = 1; $cnt <= DELIVFEE_MAX; $cnt++) {
-                    $keyname = "fee$cnt";
-                    if ($arrRet[$keyname] != '') {
-                        $sqlval['deliv_id'] = $deliv_id;
-                        $sqlval['fee'] = $arrRet[$keyname];
-                        $sqlval['pref'] = $cnt;
-                        // INSERTの実行
-                        $sqlval['fee_id'] = $cnt;
-                        $objQuery->insert('dtb_delivfee', $sqlval);
-                    }
-                }
+//                for ($cnt = 1; $cnt <= DELIVFEE_MAX; $cnt++) {
+//                    $keyname = "fee$cnt";
+//                    if ($arrRet[$keyname] != '') {
+//                        $sqlval['deliv_id'] = $deliv_id;
+//                        $sqlval['fee'] = $arrRet[$keyname];
+//                        $sqlval['pref'] = $cnt;
+//                        // INSERTの実行
+//                        $sqlval['fee_id'] = $cnt;
+//                        $objQuery->insert('dtb_delivfee', $sqlval);
+//                    }
+//                }
             }
         }
Index: /branches/version-2_12-multilang/data/Smarty/templates/default_en/mail_templates/contact_mail.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/default_en/mail_templates/contact_mail.tpl	(revision 22157)
+++ /branches/version-2_12-multilang/data/Smarty/templates/default_en/mail_templates/contact_mail.tpl	(revision 22179)
@@ -41,5 +41,5 @@
 ■Postal code:<!--{if $arrForm.zip01.value && $arrForm.zip02.value}--><!--{$arrForm.zip01.value}-->-<!--{$arrForm.zip02.value}--><!--{/if}-->
 
-■Address  :<!--{$arrPref[$arrForm.pref.value]}--><!--{$arrForm.addr01.value}--><!--{$arrForm.addr02.value}-->
+■Address  :<!--{$arrForm.addr01.value}--><!--{$arrForm.addr02.value}-->
 ■Telephone number:<!--{$arrForm.tel01.value}-->-<!--{$arrForm.tel02.value}-->-<!--{$arrForm.tel03.value}-->
 ■E-mail address:<!--{$arrForm.email.value}-->
Index: /branches/version-2_12-multilang/data/Smarty/templates/default_en/entry/confirm.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/default_en/entry/confirm.tpl	(revision 22177)
+++ /branches/version-2_12-multilang/data/Smarty/templates/default_en/entry/confirm.tpl	(revision 22179)
@@ -52,5 +52,5 @@
                 <th>Address</th>
                 <td>
-                    <!--{$arrPref[$arrForm.pref]|h}--><!--{$arrForm.addr01|h}--><!--{$arrForm.addr02|h}-->
+                    <!--{$arrForm.addr01|h}--><!--{$arrForm.addr02|h}-->
                 </td>
             </tr>
Index: /branches/version-2_12-multilang/data/Smarty/templates/default_en/frontparts/form_personal_input.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/default_en/frontparts/form_personal_input.tpl	(revision 22177)
+++ /branches/version-2_12-multilang/data/Smarty/templates/default_en/frontparts/form_personal_input.tpl	(revision 22179)
@@ -42,5 +42,4 @@
         <!--{assign var=key1 value="`$prefix`zip01"}-->
         <!--{assign var=key2 value="`$prefix`zip02"}-->
-        <!--{assign var=key3 value="`$prefix`pref"}-->
         <!--{assign var=key4 value="`$prefix`addr01"}-->
         <!--{assign var=key5 value="`$prefix`addr02"}-->
@@ -60,11 +59,7 @@
     <th>Address<span class="attention">*</span></th>
     <td>
-        <!--{if $arrErr[$key3] || $arrErr[$key4] || $arrErr[$key5]}-->
-            <div class="attention"><!--{$arrErr[$key3]}--><!--{$arrErr[$key4]}--><!--{$arrErr[$key5]}--></div>
-        <!--{/if}-->
-        <select name="<!--{$key3}-->" style="<!--{$arrErr[$key3]|sfGetErrorColor}-->">
-                <option value="" selected="selected">Select a prefecture</option>
-                <!--{html_options options=$arrPref selected=$arrForm[$key3]}-->
-        </select>
+        <!--{if $arrErr[$key4] || $arrErr[$key5]}-->
+            <div class="attention"><!--{$arrErr[$key4]}--><!--{$arrErr[$key5]}--></div>
+        <!--{/if}-->
         <p class="top"><input type="text" name="<!--{$key4}-->" value="<!--{$arrForm[$key4]|h}-->" class="box300" style="<!--{$arrErr[$key4]|sfGetErrorColor}-->; ime-mode: active;" /><br />
             <!--{$smarty.const.SAMPLE_ADDRESS1}--></p>
Index: /branches/version-2_12-multilang/data/Smarty/templates/default_en/mypage/delivery.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/default_en/mypage/delivery.tpl	(revision 22175)
+++ /branches/version-2_12-multilang/data/Smarty/templates/default_en/mypage/delivery.tpl	(revision 22179)
@@ -57,5 +57,4 @@
                 </tr>
                 <!--{section name=cnt loop=$arrOtherDeliv}-->
-                    <!--{assign var=OtherPref value="`$arrOtherDeliv[cnt].pref`"}-->
                     <tr>
                         <td class="alignC"><!--{$smarty.section.cnt.iteration}--></td>
@@ -63,5 +62,5 @@
                         <td>
                             <!--{$arrOtherDeliv[cnt].zip01}-->-<!--{$arrOtherDeliv[cnt].zip02}--><br />
-                            <!--{$arrPref[$OtherPref]|h}--><!--{$arrOtherDeliv[cnt].addr01|h}--><!--{$arrOtherDeliv[cnt].addr02|h}--><br />
+                            <!--{$arrOtherDeliv[cnt].addr01|h}--><!--{$arrOtherDeliv[cnt].addr02|h}--><br />
                             <!--{$arrOtherDeliv[cnt].name01|h}-->&nbsp;<!--{$arrOtherDeliv[cnt].name02|h}-->
                         </td>
Index: /branches/version-2_12-multilang/data/Smarty/templates/default_en/shopping/deliv.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/default_en/shopping/deliv.tpl	(revision 22175)
+++ /branches/version-2_12-multilang/data/Smarty/templates/default_en/shopping/deliv.tpl	(revision 22179)
@@ -92,6 +92,5 @@
                     </td>
                     <td>
-                        <!--{assign var=key value=$arrAddr[cnt].pref}-->
-                        <!--{$arrPref[$key]}--><!--{$arrAddr[cnt].addr01|h}--><!--{$arrAddr[cnt].addr02|h}--><br />
+                        <!--{$arrAddr[cnt].addr01|h}--><!--{$arrAddr[cnt].addr02|h}--><br />
                         <!--{$arrAddr[cnt].name01|h}--> <!--{$arrAddr[cnt].name02|h}-->
                     </td>
Index: /branches/version-2_12-multilang/data/Smarty/templates/default_en/contact/index.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/default_en/contact/index.tpl	(revision 22177)
+++ /branches/version-2_12-multilang/data/Smarty/templates/default_en/contact/index.tpl	(revision 22179)
@@ -61,8 +61,5 @@
                 <th>Address</th>
                 <td>
-                    <span class="attention"><!--{$arrErr.pref}--><!--{$arrErr.addr01}--><!--{$arrErr.addr02}--></span>
-
-                    <select name="pref" style="<!--{$arrErr.pref|sfGetErrorColor}-->">
-                    <option value="">Select a prefecture</option><!--{html_options options=$arrPref selected=$arrForm.pref.value|default:$arrData.pref|h}--></select>
+                    <span class="attention"><!--{$arrErr.addr01}--><!--{$arrErr.addr02}--></span>
 
                     <p>
Index: /branches/version-2_12-multilang/data/Smarty/templates/default_en/contact/confirm.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/default_en/contact/confirm.tpl	(revision 22177)
+++ /branches/version-2_12-multilang/data/Smarty/templates/default_en/contact/confirm.tpl	(revision 22179)
@@ -51,5 +51,5 @@
             <tr>
                 <th>Address</th>
-                <td><!--{$arrPref[$arrForm.pref.value]}--><!--{$arrForm.addr01.value|h}--><!--{$arrForm.addr02.value|h}--></td>
+                <td><!--{$arrForm.addr01.value|h}--><!--{$arrForm.addr02.value|h}--></td>
             </tr>
             <tr>
Index: /branches/version-2_12-multilang/data/Smarty/templates/default_en/abouts/index.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/default_en/abouts/index.tpl	(revision 22157)
+++ /branches/version-2_12-multilang/data/Smarty/templates/default_en/abouts/index.tpl	(revision 22179)
@@ -75,5 +75,5 @@
                 <tr>
                     <th>Location</th>
-                    <td><!--{$objSiteInfo->data.zip01|h}-->-<!--{$objSiteInfo->data.zip02|h}--><br /><!--{$objSiteInfo->data.pref|h}--><!--{$objSiteInfo->data.addr01|h}--><!--{$objSiteInfo->data.addr02|h}--></td>
+                    <td><!--{$objSiteInfo->data.zip01|h}-->-<!--{$objSiteInfo->data.zip02|h}--><br /><!--{$objSiteInfo->data.addr01|h}--><!--{$objSiteInfo->data.addr02|h}--></td>
                 </tr>
             <!--{/if}-->
Index: /branches/version-2_12-multilang/data/Smarty/templates/admin/basis/index.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/admin/basis/index.tpl	(revision 22177)
+++ /branches/version-2_12-multilang/data/Smarty/templates/admin/basis/index.tpl	(revision 22179)
@@ -154,11 +154,4 @@
             <td>
                 <p>
-                    <span class="attention"><!--{$arrErr.pref}--></span>
-                    <select class="top" name="pref" style="<!--{if $arrErr.pref != ""}-->background-color: <!--{$smarty.const.ERR_COLOR}-->;<!--{/if}-->" >
-                        <option value="" selected="selected"><!--{t string="tpl_036"}--></option>
-                        <!--{html_options options=$arrPref selected=$arrForm.pref}-->
-                    </select>
-                </p>
-                <p>
                     <span class="attention"><!--{$arrErr.addr01}--></span>
                     <input type="text" name="addr01" value="<!--{$arrForm.addr01|h}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" size="60" class="box60" style="<!--{if $arrErr.addr01 != ""}-->background-color: <!--{$smarty.const.ERR_COLOR}-->;<!--{/if}-->" id="addr01" /><span class="attention"> <!--{t string="tpl_023" T_FIELD=$smarty.const.STEXT_LEN}--></span><br />
Index: /branches/version-2_12-multilang/data/Smarty/templates/admin/customer/edit.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/admin/customer/edit.tpl	(revision 22177)
+++ /branches/version-2_12-multilang/data/Smarty/templates/admin/customer/edit.tpl	(revision 22179)
@@ -103,9 +103,5 @@
                 <th><!--{t string="tpl_212_1"}--></th>
                 <td>
-                    <span class="attention"><!--{$arrErr.pref}--><!--{$arrErr.addr01}--><!--{$arrErr.addr02}--></span>
-                    <select class="top" name="pref" <!--{if $arrErr.pref != ""}--><!--{sfSetErrorStyle}--><!--{/if}-->>
-                        <option class="top" value="" selected="selected"><!--{t string="tpl_036"}--></option>
-                        <!--{html_options options=$arrPref selected=$arrForm.pref}-->
-                    </select><br />
+                    <span class="attention"><!--{$arrErr.addr01}--><!--{$arrErr.addr02}--></span>
                     <input type="text" name="addr01" value="<!--{$arrForm.addr01|h}-->" size="60" class="box60" <!--{if $arrErr.addr01 != ""}--><!--{sfSetErrorStyle}--><!--{/if}--> /><br />
                     <!--{$smarty.const.SAMPLE_ADDRESS1}--><br />
Index: /branches/version-2_12-multilang/data/Smarty/templates/admin/customer/index.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/admin/customer/index.tpl	(revision 22177)
+++ /branches/version-2_12-multilang/data/Smarty/templates/admin/customer/index.tpl	(revision 22179)
@@ -125,5 +125,5 @@
         <tr>
             <th rowspan="2"><!--{t string="tpl_256"}--></th>
-            <th><!--{t string="tpl_207"}--></th>
+            <th rowspan="2"><!--{t string="tpl_207"}--></th>
             <th rowspan="2"><!--{t string="tpl_208"}--></th>
             <th rowspan="2"><!--{t string="tpl_215"}--></th>
@@ -133,5 +133,4 @@
         </tr>
         <tr>
-            <th><!--{t string="tpl_258"}--></th>
             <th><!--{t string="tpl_108"}--></th>
         </tr>
@@ -139,5 +138,5 @@
             <tr>
                 <td class="center" rowspan="2"><!--{if $row.status eq 1}--><!--{t string="tpl_260"}--><!--{else}--><!--{t string="tpl_261"}--><!--{/if}--></td>
-                <td><!--{$row.customer_id|h}--></td>
+                <td rowspan="2"><!--{$row.customer_id|h}--></td>
                 <td rowspan="2"><!--{$row.name01|h}--> <!--{$row.name02|h}--></td>
                 <td class="center" rowspan="2"><!--{$arrSex[$row.sex]|h}--></td>
@@ -147,5 +146,4 @@
             </tr>
             <tr>
-                <td><!--{assign var=pref value=$row.pref}--><!--{$arrPref[$pref]}--></td>
                 <td><!--{mailto address=$row.email encode="javascript"}--></a><!--{if $row.status eq 1}--><br /><a href="#" onclick="return fnReSendMail('<!--{$row.customer_id|h}-->');"><!--{t string="tpl_259"}--></a><!--{/if}--></td>
             </tr>
Index: /branches/version-2_12-multilang/data/Smarty/templates/admin/adminparts/form_customer_search.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/admin/adminparts/form_customer_search.tpl	(revision 22177)
+++ /branches/version-2_12-multilang/data/Smarty/templates/admin/adminparts/form_customer_search.tpl	(revision 22179)
@@ -1,17 +1,9 @@
 <tr>
     <th><!--{t string="tpl_207"}--></th>
-    <td>
+    <td colspan="3">
     <!--{assign var=key value="search_customer_id"}-->
     <!--{if $arrErr[$key]}--><span class="attention"><!--{$arrErr[$key]}--></span><br /><!--{/if}-->
-    <input type="text" name="<!--{$key}-->" maxlength="<!--{$arrForm[$key].length}-->" value="<!--{$arrForm[$key].value|h}-->" size="30" class="box30" <!--{if $arrErr[$key]}--><!--{sfSetErrorStyle}--><!--{/if}--> /></td>
-    <th><!--{t string="tpl_258"}--></th>
-    <td>
-        <!--{assign var=key value="search_pref"}-->
-        <!--{if $arrErr[$key]}--><span class="attention"><!--{$arrErr[$key]}--></span><br /><!--{/if}-->
-        <select class="top" name="<!--{$key}-->">
-            <option value="" selected="selected" <!--{if $arrErr[$key]}--><!--{sfSetErrorStyle}--><!--{/if}-->><!--{t string="tpl_036"}--></option>
-            <!--{html_options options=$arrPref selected=$arrForm[$key].value}-->
-        </select>
-    </td>
+    <input type="text" name="<!--{$key}-->" maxlength="<!--{$arrForm[$key].length}-->" value="<!--{$arrForm[$key].value|h}-->" size="60" class="box60" <!--{if $arrErr[$key]}--><!--{sfSetErrorStyle}--><!--{/if}--> /></td>
+
 </tr>
 <tr>
Index: /branches/version-2_12-multilang/data/Smarty/templates/admin/order/edit.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/admin/order/edit.tpl	(revision 22177)
+++ /branches/version-2_12-multilang/data/Smarty/templates/admin/order/edit.tpl	(revision 22179)
@@ -45,5 +45,4 @@
         df['shipping_fax02[0]'].value = df.order_fax02.value;
         df['shipping_fax03[0]'].value = df.order_fax03.value;
-        df['shipping_pref[0]'].value = df.order_pref.value;
         df['shipping_addr01[0]'].value = df.order_addr01.value;
         df['shipping_addr02[0]'].value = df.order_addr02.value;
@@ -211,10 +210,5 @@
                 <input type="text" name="<!--{$key2}-->" value="<!--{$arrForm[$key2].value|h}-->" maxlength="<!--{$arrForm[$key2].length}-->" style="<!--{$arrErr[$key2]|sfGetErrorColor}-->" size="6" class="box6" />
                 <a class="btn-normal" href="javascript:;" name="address_input" onclick="fnCallAddress('<!--{$smarty.const.INPUT_ZIP_URLPATH}-->', 'order_zip01', 'order_zip02', 'order_pref', 'order_addr01'); return false;"><!--{t string="tpl_211"}--></a><br />
-                <!--{assign var=key value="order_pref"}-->
-                <span class="attention"><!--{$arrErr[$key]}--></span>
-                <select class="top" name="<!--{$key}-->" style="<!--{$arrErr[$key]|sfGetErrorColor}-->">
-                    <option value="" selected=""><!--{t string="tpl_036"}--></option>
-                    <!--{html_options options=$arrPref selected=$arrForm[$key].value}-->
-                </select><br />
+
                 <!--{assign var=key value="order_addr01"}-->
                 <span class="attention"><!--{$arrErr[$key]}--></span>
@@ -505,10 +499,4 @@
                     <input type="text" name="<!--{$key2}-->[<!--{$shipping_index}-->]" value="<!--{$arrShipping[$key2]|h}-->" maxlength="<!--{$arrForm[$key2].length}-->" style="<!--{$arrErr[$key2][$shipping_index]|sfGetErrorColor}-->" size="6" class="box6" />
                     <a class="btn-normal" href="javascript:;" name="address_input" onclick="fnCallAddress('<!--{$smarty.const.INPUT_ZIP_URLPATH}-->', 'shipping_zip01[<!--{$shipping_index}-->]', 'shipping_zip02[<!--{$shipping_index}-->]', 'shipping_pref[<!--{$shipping_index}-->]', 'shipping_addr01[<!--{$shipping_index}-->]'); return false;"><!--{t string="tpl_211"}--></a><br />
-                    <!--{assign var=key value="shipping_pref"}-->
-                    <span class="attention"><!--{$arrErr[$key][$shipping_index]}--></span>
-                    <select class="top" name="<!--{$key}-->[<!--{$shipping_index}-->]" style="<!--{$arrErr[$key][$shipping_index]|sfGetErrorColor}-->">
-                        <option value="" selected=""><!--{t string="tpl_036"}--></option>
-                        <!--{html_options options=$arrPref selected=$arrShipping[$key]}-->
-                    </select><br />
                     <!--{assign var=key value="shipping_addr01"}-->
                     <span class="attention"><!--{$arrErr[$key][$shipping_index]}--></span>
Index: /branches/version-2_12-multilang/data/Smarty/templates/sphone_en/shopping/deliv.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/sphone_en/shopping/deliv.tpl	(revision 22157)
+++ /branches/version-2_12-multilang/data/Smarty/templates/sphone_en/shopping/deliv.tpl	(revision 22179)
@@ -76,6 +76,5 @@
                         <!--{/if}-->
                         <dd <!--{if $smarty.section.cnt.last && !($tpl_addrmax < $smarty.const.DELIV_ADDR_MAX)}-->class="end"<!--{/if}-->>
-                            <!--{assign var=key value=$arrAddr[cnt].pref}-->
-                            <!--{$arrPref[$key]}--><!--{$arrAddr[cnt].addr01|h}--><!--{$arrAddr[cnt].addr02|h}--><br />
+                            <!--{$arrAddr[cnt].addr01|h}--><!--{$arrAddr[cnt].addr02|h}--><br />
                             <!--{$arrAddr[cnt].name01|h}--> <!--{$arrAddr[cnt].name02|h}-->
                         </dd>
Index: /branches/version-2_12-multilang/data/Smarty/templates/sphone_en/contact/index.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/sphone_en/contact/index.tpl	(revision 22157)
+++ /branches/version-2_12-multilang/data/Smarty/templates/sphone_en/contact/index.tpl	(revision 22179)
@@ -73,5 +73,4 @@
                 <!--{assign var=key1 value="`$prefix`zip01"}-->
                 <!--{assign var=key2 value="`$prefix`zip02"}-->
-                <!--{assign var=key3 value="`$prefix`pref"}-->
                 <!--{assign var=key4 value="`$prefix`addr01"}-->
                 <span class="attention"><!--{$arrErr.zip01}--><!--{$arrErr.zip02}--></span>
@@ -91,9 +90,5 @@
             <dt>Address</dt>
             <dd>
-                <span class="attention"><!--{$arrErr.pref}--><!--{$arrErr.addr01}--><!--{$arrErr.addr02}--></span>
-                <select name="pref" style="<!--{$arrErr.pref|sfGetErrorColor}-->" class="boxHarf top data-role-none">
-                    <option value="" selected="selected">Prefecture</option>
-                    <!--{html_options options=$arrPref selected=$arrForm.pref.value|default:$arrData.pref|h}-->
-                </select>
+                <span class="attention"><!--{$arrErr.addr01}--><!--{$arrErr.addr02}--></span>
 
                 <input type="text" name="addr01"
Index: /branches/version-2_12-multilang/data/Smarty/templates/sphone_en/contact/confirm.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/sphone_en/contact/confirm.tpl	(revision 22157)
+++ /branches/version-2_12-multilang/data/Smarty/templates/sphone_en/contact/confirm.tpl	(revision 22179)
@@ -50,5 +50,5 @@
                 <!--{$arrForm.zip01.value|h}-->-<!--{$arrForm.zip02.value|h}-->
                 <!--{/if}--><br />
-                <!--{$arrPref[$arrForm.pref.value]}--><!--{$arrForm.addr01.value|h}--><!--{$arrForm.addr02.value|h}-->
+                <!--{$arrForm.addr01.value|h}--><!--{$arrForm.addr02.value|h}-->
             </dd>
 
Index: /branches/version-2_12-multilang/data/Smarty/templates/sphone_en/abouts/index.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/sphone_en/abouts/index.tpl	(revision 22157)
+++ /branches/version-2_12-multilang/data/Smarty/templates/sphone_en/abouts/index.tpl	(revision 22179)
@@ -68,5 +68,5 @@
             <dt>Location</dt>
             <dd><!--{$objSiteInfo->data.zip01|h}-->-<!--{$objSiteInfo->data.zip02|h}--><br />
-                <!--{$objSiteInfo->data.pref|h}--><!--{$objSiteInfo->data.addr01|h}--><!--{$objSiteInfo->data.addr02|h}--></dd>
+                <!--{$objSiteInfo->data.addr01|h}--><!--{$objSiteInfo->data.addr02|h}--></dd>
         <!--{/if}-->
 
Index: /branches/version-2_12-multilang/data/Smarty/templates/sphone_en/entry/confirm.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/sphone_en/entry/confirm.tpl	(revision 22157)
+++ /branches/version-2_12-multilang/data/Smarty/templates/sphone_en/entry/confirm.tpl	(revision 22179)
@@ -47,5 +47,5 @@
             <dd>
                 <!--{$arrForm.zip01|h}--> - <!--{$arrForm.zip02|h}--><br />
-                <!--{$arrPref[$arrForm.pref]|h}--><!--{$arrForm.addr01|h}--><!--{$arrForm.addr02|h}-->
+                <!--{$arrForm.addr01|h}--><!--{$arrForm.addr02|h}-->
             </dd>
 
Index: /branches/version-2_12-multilang/data/Smarty/templates/sphone_en/frontparts/form_personal_input.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/sphone_en/frontparts/form_personal_input.tpl	(revision 22157)
+++ /branches/version-2_12-multilang/data/Smarty/templates/sphone_en/frontparts/form_personal_input.tpl	(revision 22179)
@@ -48,5 +48,4 @@
     <!--{assign var=key1 value="`$prefix`zip01"}-->
     <!--{assign var=key2 value="`$prefix`zip02"}-->
-    <!--{assign var=key3 value="`$prefix`pref"}-->
     <!--{assign var=key4 value="`$prefix`addr01"}-->
     <!--{assign var=key5 value="`$prefix`addr02"}-->
@@ -61,11 +60,7 @@
 <dt>Address&nbsp;<span class="attention">*</span></dt>
 <dd>
-    <!--{if $arrErr[$key3] || $arrErr[$key4] || $arrErr[$key5]}-->
-        <div class="attention"><!--{$arrErr[$key3]}--><!--{$arrErr[$key4]}--><!--{$arrErr[$key5]}--></div>
+    <!--{if $arrErr[$key4] || $arrErr[$key5]}-->
+        <div class="attention"><!--{$arrErr[$key4]}--><!--{$arrErr[$key5]}--></div>
     <!--{/if}-->
-    <select name="<!--{$key3}-->" style="<!--{$arrErr[$key3]|sfGetErrorColor}-->" class="boxHarf top data-role-none">
-        <option value="" selected="selected">Prefecture</option>
-        <!--{html_options options=$arrPref selected=$arrForm[$key3]}-->
-    </select>
 
     <input type="text" name="<!--{$key4}-->" value="<!--{$arrForm[$key4]|h}-->" class="boxLong text top data-role-none" placeholder="Municipality name" />
Index: /branches/version-2_12-multilang/data/Smarty/templates/sphone_en/mypage/change_confirm.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/sphone_en/mypage/change_confirm.tpl	(revision 22157)
+++ /branches/version-2_12-multilang/data/Smarty/templates/sphone_en/mypage/change_confirm.tpl	(revision 22179)
@@ -54,5 +54,5 @@
             <dd>
                 <!--{$arrForm.zip01}-->-<!--{$arrForm.zip02}--><br />
-                <!--{$arrPref[$arrForm.pref]}--><!--{$arrForm.addr01|h}--><!--{$arrForm.addr02|h}-->
+                <!--{$arrForm.addr01|h}--><!--{$arrForm.addr02|h}-->
             </dd>
 
Index: /branches/version-2_12-multilang/data/Smarty/templates/sphone_en/mypage/delivery.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/sphone_en/mypage/delivery.tpl	(revision 22157)
+++ /branches/version-2_12-multilang/data/Smarty/templates/sphone_en/mypage/delivery.tpl	(revision 22179)
@@ -57,8 +57,7 @@
                         <!--▼お届け先 -->
                         <div class="delivBox">
-                            <!--{assign var=OtherPref value="`$arrOtherDeliv[cnt].pref`"}-->
                             <p><em><span class="zip_title">Delivery address<!--{$smarty.section.cnt.iteration}--></span></em>:<br />
                                 <span class="zip01"><!--{$arrOtherDeliv[cnt].zip01}--></span>-<span class="zip02"><!--{$arrOtherDeliv[cnt].zip02}--></span><br />
-                                <span class="address"><!--{$arrPref[$OtherPref]|h}--><!--{$arrOtherDeliv[cnt].addr01|h}--><!--{$arrOtherDeliv[cnt].addr02|h}--></span><br />
+                                <span class="address"><!--{$arrOtherDeliv[cnt].addr01|h}--><!--{$arrOtherDeliv[cnt].addr02|h}--></span><br />
                                 <span class="name01"><!--{$arrOtherDeliv[cnt].name01|h}--></span>&nbsp;<span class="name02"><!--{$arrOtherDeliv[cnt].name02|h}--></span></p>
 