Index: /branches/version-2_12-multilang/html/user_data/packages/sphone/js/favorite.js
===================================================================
--- /branches/version-2_12-multilang/html/user_data/packages/sphone/js/favorite.js	(revision 21530)
+++ /branches/version-2_12-multilang/html/user_data/packages/sphone/js/favorite.js	(revision 22183)
@@ -24,8 +24,8 @@
            success: function(result){
               if (result == "true") {
-                  alert("お気に入りに登録しました");
-                  $(".btn_favorite").html("<p>お気に入り登録済み</p>");
+                  alert("j_favorite_001");
+                  $(".btn_favorite").html(fnT("j_favorite_002"));
               } else {
-                  alert("お気に入りの登録に失敗しました");
+                  alert(fnT("j_favorite_003"));
               }
               $.mobile.hidePageLoadingMsg();
Index: /branches/version-2_12-multilang/html/user_data/packages/sphone/js/barbutton.js
===================================================================
--- /branches/version-2_12-multilang/html/user_data/packages/sphone/js/barbutton.js	(revision 20764)
+++ /branches/version-2_12-multilang/html/user_data/packages/sphone/js/barbutton.js	(revision 22183)
@@ -3,5 +3,5 @@
         topURL = "/";
     }
-    var buttonText = "TOPへ";
+    var buttonText = fnT("j_breadcrumbs_001");
     var buttonId = "btn-top";
 
Index: /branches/version-2_12-multilang/html/user_data/packages/sphone_en/js/favorite.js
===================================================================
--- /branches/version-2_12-multilang/html/user_data/packages/sphone_en/js/favorite.js	(revision 22157)
+++ /branches/version-2_12-multilang/html/user_data/packages/sphone_en/js/favorite.js	(revision 22183)
@@ -24,8 +24,8 @@
            success: function(result){
               if (result == "true") {
-                  alert("お気に入りに登録しました");
-                  $(".btn_favorite").html("<p>お気に入り登録済み</p>");
+                  alert("j_favorite_001");
+                  $(".btn_favorite").html(fnT("j_favorite_002"));
               } else {
-                  alert("お気に入りの登録に失敗しました");
+                  alert(fnT("j_favorite_003"));
               }
               $.mobile.hidePageLoadingMsg();
Index: /branches/version-2_12-multilang/html/user_data/packages/sphone_en/js/barbutton.js
===================================================================
--- /branches/version-2_12-multilang/html/user_data/packages/sphone_en/js/barbutton.js	(revision 22157)
+++ /branches/version-2_12-multilang/html/user_data/packages/sphone_en/js/barbutton.js	(revision 22183)
@@ -3,5 +3,5 @@
         topURL = "/";
     }
-    var buttonText = "TOPへ";
+    var buttonText = fnT("j_breadcrumbs_001");
     var buttonId = "btn-top";
 
Index: /branches/version-2_12-multilang/html/user_data/packages/admin/js/admin.js
===================================================================
--- /branches/version-2_12-multilang/html/user_data/packages/admin/js/admin.js	(revision 21867)
+++ /branches/version-2_12-multilang/html/user_data/packages/admin/js/admin.js	(revision 22183)
@@ -43,8 +43,8 @@
     // 必須項目が入力されていない場合
     if(errflg == true) {
-        alert('必須項目を入力して下さい。');
+        alert(fnT('j_admin_001'));
         return false;
     } else {
-        if(window.confirm('内容を登録しても宜しいでしょうか')){
+        if(window.confirm(fnT('j_admin_002'))){
             return true;
         } else {
@@ -77,5 +77,5 @@
 function fnDeleteMember(id, pageno) {
     url = "./delete.php?id=" + id + "&pageno=" + pageno;
-    if(window.confirm('登録内容を削除しても宜しいでしょうか')){
+    if(window.confirm(fnT('j_admin_003'))){
         location.href = url;
     }
@@ -159,5 +159,5 @@
 // カテゴリの追加
 function fnAddCat(cat_id) {
-    if(window.confirm('カテゴリを登録しても宜しいでしょうか')){
+    if(window.confirm(fnT('j_admin_004'))){
         document.form1['mode'].value = 'edit';
         document.form1['cat_id'].value = cat_id;
@@ -177,5 +177,5 @@
     val = obj[obj.selectedIndex].value;
     if (val == ""){
-        alert ("親カテゴリは選択できません");
+        alert (fnT("j_admin_005"));
         obj.selectedIndex = 0;
     }
@@ -214,5 +214,5 @@
 //指定されたidの削除を行うページを実行する。
 function fnDelete(url) {
-    if(window.confirm('登録内容を削除しても宜しいでしょうか')){
+    if(window.confirm(fnT('j_admin_006'))){
         location.href = url;
         return false;
@@ -250,5 +250,5 @@
 // 確認メッセージ
 function fnConfirm() {
-    if(window.confirm('この内容で登録しても宜しいでしょうか')){
+    if(window.confirm(fnT('j_admin_007'))){
         return true;
     }
@@ -258,5 +258,5 @@
 //削除確認メッセージ
 function fnDeleteConfirm() {
-    if(window.confirm('削除しても宜しいでしょうか')){
+    if(window.confirm(fnT('j_admin_008'))){
         return true;
     }
@@ -266,5 +266,5 @@
 //メルマガ形式変更確認メッセージ
 function fnmerumagaupdateConfirm() {
-    if(window.confirm("既に登録されているメールアドレスです。\nメルマガの種類が変更されます。宜しいですか？")){
+    if(window.confirm(fnT("j_admin_009"))){
         return true;
     }
@@ -342,9 +342,9 @@
         document.form1[disp_flg].value="none";
         document.getElementById(disp_id).style.display="none";
-        document.getElementById(inner_id).innerHTML = '<FONT Color="#FFFF99"> << 表示 </FONT>';
+        document.getElementById(inner_id).innerHTML = fnT('j_admin_010');
     }else{
         document.form1[disp_flg].value="";
         document.getElementById(disp_id).style.display="";
-        document.getElementById(inner_id).innerHTML = ' <FONT Color="#FFFF99"> >> 非表示 </FONT>';
+        document.getElementById(inner_id).innerHTML = fnT('j_admin_011');
     }
 }
Index: /branches/version-2_12-multilang/html/user_data/packages/admin/js/breadcrumbs.js
===================================================================
--- /branches/version-2_12-multilang/html/user_data/packages/admin/js/breadcrumbs.js	(revision 21867)
+++ /branches/version-2_12-multilang/html/user_data/packages/admin/js/breadcrumbs.js	(revision 22183)
@@ -27,5 +27,5 @@
          var defaults = {
              bread_crumbs: '',
-             start_node: '<span>ホーム</span>',
+             start_node: fnT('j_breadcrumbs_001'),
              anchor_node: '<a onclick="fnModeSubmit(\'tree\', \'parent_category_id\', '
                  + '{category_id}); return false" href="javascript:;" />',
Index: /branches/version-2_12-multilang/html/js/site.js
===================================================================
--- /branches/version-2_12-multilang/html/js/site.js	(revision 21929)
+++ /branches/version-2_12-multilang/html/js/site.js	(revision 22183)
@@ -53,5 +53,5 @@
         );
     } else {
-        alert("郵便番号を正しく入力して下さい。");
+        alert(fnT('j_site_001'));
 	}
 }
@@ -121,15 +121,15 @@
     switch(mode) {
     case 'delete_category':
-        if(!window.confirm('選択したカテゴリとカテゴリ内のすべてのカテゴリを削除します')){
+        if(!window.confirm(fnT('j_site_002'))){
             return;
         }
         break;
     case 'delete':
-        if(!window.confirm('一度削除したデータは、元に戻せません。\n削除しても宜しいですか？')){
+        if(!window.confirm(fnT('j_site_003'))){
             return;
         }
         break;
     case 'delete_order':
-        if(!window.confirm('一度削除したデータは、元に戻せません。\n削除しても宜しいですか？\n\n※ 在庫数は手動で戻してください。')){
+        if(!window.confirm(fnT('j_site_004'))){
             return;
         }
@@ -137,10 +137,10 @@
         break;
     case 'confirm':
-        if(!window.confirm('登録しても宜しいですか')){
+        if(!window.confirm(fnT('j_site_005'))){
             return;
         }
         break;
     case 'delete_all':
-        if(!window.confirm('検索結果をすべて削除しても宜しいですか')){
+        if(!window.confirm(fnT('j_site_006'))){
             return;
         }
@@ -159,15 +159,15 @@
     switch(mode) {
     case 'delete':
-        if(!window.confirm('一度削除したデータは、元に戻せません。\n削除しても宜しいですか？')){
+        if(!window.confirm(fnT('j_site_007'))){
             return;
         }
         break;
     case 'confirm':
-        if(!window.confirm('登録しても宜しいですか')){
+        if(!window.confirm(fnT('j_site_008'))){
             return;
         }
         break;
     case 'regist':
-        if(!window.confirm('登録しても宜しいですか')){
+        if(!window.confirm(fnT('j_site_009'))){
             return;
         }
@@ -320,5 +320,5 @@
     // 必須項目が入力されていない場合
     if(errflg == true) {
-        alert('メールアドレス/パスワードを入力して下さい。');
+        alert(fnT('j_site_010'));
         return false;
     } else {
@@ -367,8 +367,8 @@
     if ($(textAreaSelector).attr('rows') <= min) {
         $(textAreaSelector).attr('rows', max);
-        $(buttonSelector).text('縮小');
+        $(buttonSelector).text(fnT('j_site_011'));
     } else {
         $(textAreaSelector).attr('rows', min);
-        $(buttonSelector).text('拡大');
-    }
-}
+        $(buttonSelector).text(fnT('j_site_012'));
+    }
+}
Index: /branches/version-2_12-multilang/html/js/locales/ja.js
===================================================================
--- /branches/version-2_12-multilang/html/js/locales/ja.js	(revision 22166)
+++ /branches/version-2_12-multilang/html/js/locales/ja.js	(revision 22183)
@@ -22,43 +22,37 @@
 var cube_locale_messages = {
     // js/site.js
-    'j_001': '郵便番号を正しく入力して下さい。',
-    'j_002': '選択したカテゴリとカテゴリ内のすべてのカテゴリを削除します',
-    'j_003': '一度削除したデータは、元に戻せません。\n削除しても宜しいですか？',
-    'j_004': '一度削除したデータは、元に戻せません。\n削除しても宜しいですか？\n\n※ 在庫数は手動で戻してください。',
-    'j_005': '登録しても宜しいですか',
-    'j_006': '検索結果をすべて削除しても宜しいですか',
-    'j_007': '一度削除したデータは、元に戻せません。\n削除しても宜しいですか？',
-    'j_008': '登録しても宜しいですか',
-    'j_009': '登録しても宜しいですか',
-    'j_010': 'メールアドレス/パスワードを入力して下さい。',
-    'j_011': '縮小',
-    'j_012': '拡大',
+    'j_site_001': '郵便番号を正しく入力して下さい。',
+    'j_site_002': '選択したカテゴリとカテゴリ内のすべてのカテゴリを削除します',
+    'j_site_003': '一度削除したデータは、元に戻せません。\n削除しても宜しいですか？',
+    'j_site_004': '一度削除したデータは、元に戻せません。\n削除しても宜しいですか？\n\n※ 在庫数は手動で戻してください。',
+    'j_site_005': '登録しても宜しいですか',
+    'j_site_006': '検索結果をすべて削除しても宜しいですか',
+    'j_site_007': '一度削除したデータは、元に戻せません。\n削除しても宜しいですか？',
+    'j_site_008': '登録しても宜しいですか',
+    'j_site_009': '登録しても宜しいですか',
+    'j_site_010': 'メールアドレス/パスワードを入力して下さい。',
+    'j_site_011': '縮小',
+    'j_site_012': '拡大',
     // js/products.js
-    'j_013': '申し訳ございませんが、只今品切れ中です。',
+    'j_products_001': '申し訳ございませんが、只今品切れ中です。',
     // user_data/packages/admin/js/admin.js
-    'j_014': '必須項目を入力して下さい。',
-    'j_015': '内容を登録しても宜しいでしょうか',
-    'j_016': '登録内容を削除しても宜しいでしょうか',
-    'j_017': 'カテゴリを登録しても宜しいでしょうか',
-    'j_018': '親カテゴリは選択できません',
-    'j_019': '登録内容を削除しても宜しいでしょうか',
-    'j_020': 'この内容で登録しても宜しいでしょうか',
-    'j_021': '削除しても宜しいでしょうか',
-    'j_022': '登録内容を削除しても宜しいでしょうか',
-    'j_023': 'カテゴリを登録しても宜しいでしょうか',
-    'j_024': '親カテゴリは選択できません',
-    'j_025': '登録内容を削除しても宜しいでしょうか',
-    'j_026': 'この内容で登録しても宜しいでしょうか',
-    'j_027': '削除しても宜しいでしょうか',
-    'j_028': '既に登録されているメールアドレスです。\nメルマガの種類が変更されます。宜しいですか？',
-    'j_029': '<FONT Color="#FFFF99"> << 表示 </FONT>',
-    'j_030': ' <FONT Color="#FFFF99"> >> 非表示 </FONT>',
+    'j_admin_001': '必須項目を入力して下さい。',
+    'j_admin_002': '内容を登録しても宜しいでしょうか',
+    'j_admin_003': '登録内容を削除しても宜しいでしょうか',
+    'j_admin_004': 'カテゴリを登録しても宜しいでしょうか',
+    'j_admin_005': '親カテゴリは選択できません',
+    'j_admin_006': '登録内容を削除しても宜しいでしょうか',
+    'j_admin_007': 'この内容で登録しても宜しいでしょうか',
+    'j_admin_008': '削除しても宜しいでしょうか',
+    'j_admin_009': '既に登録されているメールアドレスです。\nメルマガの種類が変更されます。宜しいですか？',
+    'j_admin_010': '<FONT Color="#FFFF99"> << 表示 </FONT>',
+    'j_admin_011': ' <FONT Color="#FFFF99"> >> 非表示 </FONT>',
     // user_data/packages/admin/js/breadcrumbs.js
-    'j_031': '<span>ホーム</span>',
-    // user_data/packages/sphone/js/barbutton
-    'j_032': 'TOPへ',
+    'j_breadcrumbs_001': '<span>ホーム</span>',
+    // user_data/packages/sphone/js/barbutton.js
+    'j_barbutton_001': 'TOPへ',
     // user_data/packages/sphone/js/favorite.js
-    'j_033': 'お気に入りに登録しました',
-    'j_034': '<p>お気に入り登録済み</p>',
-    'j_035': 'お気に入りの登録に失敗しました'
+    'j_favorite_001': 'お気に入りに登録しました',
+    'j_favorite_002': '<p>お気に入り登録済み</p>',
+    'j_favorite_003': 'お気に入りの登録に失敗しました'
 };