Index: /branches/version-2_12-dev/tests/class/SC_Product/SC_Product_TestBase.php
===================================================================
--- /branches/version-2_12-dev/tests/class/SC_Product/SC_Product_TestBase.php	(revision 22188)
+++ /branches/version-2_12-dev/tests/class/SC_Product/SC_Product_TestBase.php	(revision 22190)
@@ -24,5 +24,5 @@
                 'product_class_id' => '1001',
                 'product_id' => '1001',
-                'product_type_id' => '1001',
+                'product_type_id' => '1',
                 'product_code' => 'code1001',
                 'classcategory_id1' => '1001',
@@ -30,4 +30,5 @@
                 'price01' => '1500',
                 'price02' => '1500',
+                'stock' => '99',
                 'creator_id' => '1',
                 'del_flg' => '0'
@@ -37,8 +38,21 @@
                 'product_class_id' => '1002',
                 'product_id' => '1002',
-                'product_type_id' => '1002',
+                'product_type_id' => '2',
+                'product_code' => 'code1002',
                 'price02' => '2500',
                 'creator_id' => '1',
+                'stock_unlimited' => '1',
                 'del_flg' => '0'
+                  ),
+            array(
+                'update_date' => 'CURRENT_TIMESTAMP',
+                'product_class_id' => '2001',
+                'product_id' => '2001',
+                'product_type_id' => '1',
+                'product_code' => 'code2001',
+                'price02' => '2000',
+                'creator_id' => '1',
+                'stock_unlimited' => '1',
+                'del_flg' => '1'
                   )
                                );
@@ -88,4 +102,12 @@
                 'product_id' => '1001',
                 'name' => '製品名1001',
+                'comment1' => 'コメント10011',
+                'comment2' => 'コメント10012',
+                'comment3' => 'コメント10013',
+                'main_list_comment' => 'リストコメント1001',
+                'main_comment' => 'メインコメント1001',
+                'main_image' => '1001.jpg',
+                'main_list_image' => '1001-main.jpg',
+                'deliv_date_id' => '1',
                 'del_flg' => '0',
                 'creator_id' => '1',
@@ -96,7 +118,30 @@
                 'product_id' => '1002',
                 'name' => '製品名1002',
+                'comment1' => 'コメント10021',
+                'comment2' => 'コメント10022',
+                'comment3' => 'コメント10023',
+                'main_list_comment' => 'リストコメント1002',
+                'main_image' => '1002.jpg',
+                'main_list_image' => '1002-main.jpg',
+                'deliv_date_id' => '2',
                 'del_flg' => '0',
                 'creator_id' => '1',
                 'status' => '2'
+                  ),
+            array(
+                'update_date' => 'CURRENT_TIMESTAMP',
+                'product_id' => '2001',
+                'name' => '製品名2001',
+                'comment1' => 'コメント20011',
+                'comment2' => 'コメント20012',
+                'comment3' => 'コメント20013',
+                'main_list_comment' => 'リストコメント2001',
+                'main_comment' => 'メインコメント2001',
+                'main_image' => '2001.jpg',
+                'main_list_image' => '2001-main.jpg',
+                'deliv_date_id' => '1',
+                'del_flg' => '1',
+                'creator_id' => '1',
+                'status' => '1'
                   )
                           );
@@ -107,3 +152,30 @@
         }
     }
+    
+    /**
+     * DBに商品ステータス情報を登録します.
+     */
+    protected function setUpProductStatus() {
+        $class_category = array(
+            array(
+                'update_date' => 'CURRENT_TIMESTAMP',
+                'product_status_id' => '1',
+                'product_id' => '1001',
+                'creator_id' => '1',
+                'del_flg' => '0'
+                  ),
+            array(
+                'update_date' => 'CURRENT_TIMESTAMP',
+                'product_status_id' => '1',
+                'product_id' => '1002',
+                'creator_id' => '1',
+                'del_flg' => '0'
+                  )
+                                );
+
+        $this->objQuery->delete('dtb_product_status');
+        foreach ($class_category as $key => $item) {
+            $this->objQuery->insert('dtb_product_status', $item);
+        }
+    }
 }
Index: /branches/version-2_12-dev/tests/class/SC_Product/SC_Product_findProductIdsOrderTest.php
===================================================================
--- /branches/version-2_12-dev/tests/class/SC_Product/SC_Product_findProductIdsOrderTest.php	(revision 22189)
+++ /branches/version-2_12-dev/tests/class/SC_Product/SC_Product_findProductIdsOrderTest.php	(revision 22190)
@@ -26,5 +26,5 @@
         // 商品ID降順で商品IDを取得する
         $this->objQuery->setOrder('product_id DESC');
-        $this->expected = array('1002', '1001');
+        $this->expected = array('2001','1002', '1001');
 
         $this->actual = $this->objProducts->findProductIdsOrder($this->objQuery);
@@ -40,5 +40,5 @@
         // 商品名昇順で商品IDを取得する
         $this->objQuery->setOrder('product_id ASC');
-        $this->expected = array('1001', '1002');
+        $this->expected = array('1001', '1002','2001');
 
         $this->actual = $this->objProducts->findProductIdsOrder($this->objQuery);
@@ -46,3 +46,18 @@
         $this->verify('商品ID昇順');
     }
+    
+    public function testFindProductIdsOrder_arrOrderData設定時() {
+        $this->setUpProductClass();
+        $this->setUpProducts();
+        $this->setUpClassCategory();
+
+        // setProductsOrderを行う
+        $this->objProducts->setProductsOrder('product_id');
+        $this->expected = array('1001', '1002','2001');
+
+        $this->actual = $this->objProducts->findProductIdsOrder($this->objQuery);
+
+        $this->verify('arrOrderData設定時');
+    }
+    
 }